WPSOLE1Parser Class Reference documentation

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
WPSOLE1Parser Class Reference

a class used to parse a container which is used by Lotus123 (and also by RagTime). More...

`#include <WPSOLE1Parser.h>`

## Public Member Functions
| WPSOLE1Parser (std::shared_ptr< WPSStream > const &fileStream)
| constructor knowing the file stream
| ~WPSOLE1Parser ()
| destructor
bool | createZones ()
| try to find the different zones
std::shared_ptr< WPSStream > | getStreamForName (std::string const &name) const
| try to return a string corresponding to a name:
std::shared_ptr< WPSStream > | getStreamForId (int id) const
| try to return a string corresponding to some id
bool | updateMetaData (librevenge::RVNGPropertyList &list, libwps_tools_win::Font::Type encoding) const
| try to retrieve the meta data
bool | updateEmbeddedObject (int id, WPSEmbeddedObject &object) const
| try to retrieve the content of a graphic, knowing it local id

## Protected Member Functions
bool | updateZoneNames (WPSOLE1ParserInternal::OLEZone &zone) const
| try to update the zone name
std::shared_ptr< WPSStream > | getStream (WPSOLE1ParserInternal::OLEZone const &zone) const
| try to return a stream correponding to a zone
void | checkIfParsed (WPSOLE1ParserInternal::OLEZone const &zone) const
| check for unparsed zone

## Private Attributes
std::shared_ptr< WPSOLE1ParserInternal::State > | m_state
| a smart ptr used to stored the file data

## Detailed Description

a class used to parse a container which is used by Lotus123 (and also by RagTime).

Note
  I suppose that this is related to some OLE1 format, but I am not sure.

## Constructor & Destructor Documentation

## ◆ WPSOLE1Parser()

WPSOLE1Parser::WPSOLE1Parser | ( | std::shared_ptr< WPSStream > const & | fileStream | ) |
| explicit

constructor knowing the file stream

## ◆ ~WPSOLE1Parser()

WPSOLE1Parser::~WPSOLE1Parser | ( |  | ) |

destructor

## Member Function Documentation

## ◆ checkIfParsed()

void WPSOLE1Parser::checkIfParsed | ( | WPSOLE1ParserInternal::OLEZone const & | zone | ) | const
| protected

check for unparsed zone

Referenced by checkIfParsed(), and ~WPSOLE1Parser().

## ◆ createZones()

bool WPSOLE1Parser::createZones | ( |  | ) |

try to find the different zones

## ◆ getStream()

std::shared_ptr< WPSStream > WPSOLE1Parser::getStream | ( | WPSOLE1ParserInternal::OLEZone const & | zone | ) | const
| protected

try to return a stream correponding to a zone

Referenced by checkIfParsed(), getStreamForId(), getStreamForName(), updateEmbeddedObject(), and updateMetaData().

## ◆ getStreamForId()

std::shared_ptr< WPSStream > WPSOLE1Parser::getStreamForId | ( | int | id | ) | const

try to return a string corresponding to some id

## ◆ getStreamForName()

std::shared_ptr< WPSStream > WPSOLE1Parser::getStreamForName | ( | std::string const & | name | ) | const

try to return a string corresponding to a name:

- WK3, FM3, lotus 123 v5 main file part
- 123, lotus 123 v6+ main file part
- CR3, maybe some database ?
- Doc Info Object (its children defines author, ...)
- WCHChart some Chart
- Lotus:TOOLS:ByteStream some object

## ◆ updateEmbeddedObject()

bool WPSOLE1Parser::updateEmbeddedObject | ( | int | id,
|  | WPSEmbeddedObject & | object ) const

try to retrieve the content of a graphic, knowing it local id

## ◆ updateMetaData()

bool WPSOLE1Parser::updateMetaData | ( | librevenge::RVNGPropertyList & | list,
|  | libwps_tools_win::Font::Type | encoding ) const

try to retrieve the meta data

## ◆ updateZoneNames()

bool WPSOLE1Parser::updateZoneNames | ( | WPSOLE1ParserInternal::OLEZone & | zone | ) | const
| protected

try to update the zone name

Referenced by createZones(), and updateZoneNames().

## Member Data Documentation

## ◆ m_state

std::shared_ptr<WPSOLE1ParserInternal::State> WPSOLE1Parser::m_state
| private

a smart ptr used to stored the file data

Referenced by checkIfParsed(), createZones(), getStream(), getStreamForId(), getStreamForName(), updateEmbeddedObject(), updateMetaData(), updateZoneNames(), WPSOLE1Parser(), and ~WPSOLE1Parser().

The documentation for this class was generated from the following files:

- WPSOLE1Parser.h
- WPSOLE1Parser.cpp